Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members Related Pages

# aka2::memberdef< L, T > Struct Template Reference

template to define member for aka:sequence and aka:all . More...

`#include <memberdef.h>`

Inheritance diagram for aka2::memberdef< L, T >:

[legend]
Collaboration diagram for aka2::memberdef< L, T >:

[legend]
List of all members.

## Public Types
typedef _member | member
typedef _ptrmember | ptrmember
typedef _fixed_array | fixed_array
typedef _accessor | accessor
## Public Methods
template<class P> void | any_ptrmember (const std::string &tagname, aka2::deep_ptr< aka2::any > P::*m, const std::string &ns_list="##any")
template<class P> void | any (const std::string &tagname, aka2::any P::*m, const std::string &ns_list="##any")
template<class P> void | any (const std::string &tagname, aka2::any_array P::*m, int minOccurs, int maxOccurs, const std::string &ns_list="##any")
template<class P> void | any (const std::string &tagname, aka2::any_array P::*m, int minOccurs, int maxOccurs, bool emptiable, const std::string &ns_list)

## Detailed Description

### template<class L, class T>
struct aka2::memberdef< L, T >

template to define member for aka:sequence and aka:all .

This class provides classes/functions to define child elements for aka:sequence and aka:all.

Parameters:

  L | leaf class.
  T | value class.

See also:
  aka2::sequence<>, aka2::all<>

Definition at line 27 of file memberdef.h.

## Member Typedef Documentation

template<class L, class T>
typedef _accessor aka2::memberdef< L, T >::accessor

| Typedef name of _accessor. Use accessor intead of _accessor. _accessor is typedef'ed for VC6 workaround. Definition at line 461 of file memberdef.h.

template<class L, class T>
typedef _fixed_array aka2::memberdef< L, T >::fixed_array

| Typedef name of _fixed_array. Use fixed_array instead of _fixed_array. fixed_array is typedef'ed for VC6 workaround. Definition at line 290 of file memberdef.h.

template<class L, class T>
typedef _member aka2::memberdef< L, T >::member

| Typedef name of _member. Use member instead of _member. _member is typedef'ed for VC6 workaround. Definition at line 134 of file memberdef.h.

template<class L, class T>
typedef _ptrmember aka2::memberdef< L, T >::ptrmember

| Typedef name of _ptrmember. _ptrmember is typedef'ed for VC6 workaround. Definition at line 183 of file memberdef.h.

## Member Function Documentation

template<class L, class T>
template<class P>
void aka2::memberdef< L, T >::any | ( | const std::string & | tagname,
|  | aka2::any_array P::* | m,
|  | int | minOccurs,
|  | int | maxOccurs,
|  | bool | emptiable,
|  | const std::string & | ns_list
| ) | `[inline]`

  | define an aka2::any_array member. Parameters:
  tagname | tag name
  m | pointer to an aka2::any_array member.
  minOccurs | minOccurs
  maxOccurs | maxOccurs
  ns_list | namespace list. available values are "#any", "#other:target_namespace_uri", "#local" or namespace uri list.
  emptiable | true if array could be empty even minOccurs is not zero.
Definition at line 365 of file memberdef.h.

template<class L, class T>
template<class P>
void aka2::memberdef< L, T >::any | ( | const std::string & | tagname,
|  | aka2::any_array P::* | m,
|  | int | minOccurs,
|  | int | maxOccurs,
|  | const std::string & | ns_list = "##any"
| ) | `[inline]`

  | define an aka2::any_array member. Parameters:
  tagname | tag name
  m | pointer to an aka2::any_array member.
  minOccurs | minOccurs
  maxOccurs | maxOccurs
  ns_list | namespace list. available values are "#any", "#other:target_namespace_uri", "#local" or namespace uri list.
Definition at line 348 of file memberdef.h. References aka2::memberdef< L, T >::any().

template<class L, class T>
template<class P>
void aka2::memberdef< L, T >::any | ( | const std::string & | tagname,
|  | aka2::any P::* | m,
|  | const std::string & | ns_list = "##any"
| ) | `[inline]`

  | define an aka2::any (xs:anyType) member. Parameters:
  tagname | tag name
  m | pointer to an aka2::any member.
  ns_list | namespace list. available values are "#any", "#other:target_namespace_uri", "#local" or namespace uri list.
Definition at line 327 of file memberdef.h. Referenced by aka2::memberdef< L, T >::any().

template<class L, class T>
template<class P>
void aka2::memberdef< L, T >::any_ptrmember | ( | const std::string & | tagname,
|  | aka2::deep_ptr< aka2::any > P::* | m,
|  | const std::string & | ns_list = "##any"
| ) | `[inline]`

  | define a pointer-type member of aka2::any. Pointer type of aka2::any should be declared as aka2::deep_ptr<aka2::any>. Occurence is [0, 1]. Parameters:
  tagname | tag name
  m | pointer to aka2::deep_ptr<aka2::any> member
  ns_list | namespace list. available values are "#any", "#other:target_namespace_uri", "#local" or namespace uri list.
Definition at line 304 of file memberdef.h.

The documentation for this struct was generated from the following file:

- memberdef.h